//---------------------------------------------------------------------------
#pragma hdrstop
#include "SendMsgFunctions.h"   // для отправки сообщений в лог
#include "MainProgram.h"        // переменные для работы с основной формой
//---------------------------------------------------------------------------
#pragma package(smart_init)
//---------------------------------------------------------------------------
//--- ГЛОБАЛЬНЫЕ ПЕРЕМЕННЫЕ -------------------------------------------------
//---------------------------------------------------------------------------
unsigned char LangNum;          // здесь будем хранить номер выбранного языка
//---------------------------------------------------------------------------
//--- ВЫВОД В ЛОГ СООБЩЕНИЙ НА ВЫБРАННОМ ЯЗЫКЕ ------------------------------
//---------------------------------------------------------------------------
void SendMsgToLogForm(unsigned int MsgNum, AnsiString AddMsg)
{ unsigned int LMCode;          // код, старший байт = LangNum, остальные биты - MsgNum

  //----------------------------------------------------------------------------
  // таблица сообщений - английский язык ---------------------------------------
  //----------------------------------------------------------------------------
  AnsiString   EN_MSG_1  = "ROM line is not selected.";
  AnsiString   EN_MSG_2  = "Error. The COM-port is not available.";
  AnsiString   EN_MSG_3  = "No selected chips.";
  AnsiString   EN_MSG_4  = "The COM-port is open: ";
  AnsiString   EN_MSG_5  = "The COM-port is close.";
  AnsiString   EN_MSG_6  = "Error getting the COM-port parameters.";
  AnsiString   EN_MSG_7  = "Error setting the COM-port parameters.";
  AnsiString   EN_MSG_8  = "Gateway configuration error.";
  AnsiString   EN_MSG_9  = "1-wire device search started.";
  AnsiString   EN_MSG_10 = "1-wire device search completed successfully.";
  AnsiString   EN_MSG_11 = "Error loading the packet.";
  AnsiString   EN_MSG_12 = "Two ones were read from the bus.";
  AnsiString   EN_MSG_13 = "CRC8 Ок.";
  AnsiString   EN_MSG_14 = "CRC8 Error.";
  AnsiString   EN_MSG_15 = "CRC16 Ок.";
  AnsiString   EN_MSG_16 = "CRC16 Error.";
  AnsiString   EN_MSG_17 = "Unknown chip selected.";
  AnsiString   EN_MSG_18 = "This is 8086/80186 HEX-file.";
  AnsiString   EN_MSG_19 = "This is 80386 HEX-file.";
  AnsiString   EN_MSG_20 = "Invalid file format.";
  AnsiString   EN_MSG_21 = "Error receiving the packet.";
  AnsiString   EN_MSG_22 = "Loading data from the BIN-file to memory.";
  AnsiString   EN_MSG_23 = "Loading data from the HEX-file to memory.";
  AnsiString   EN_MSG_24 = "Saving data from memory to the BIN-file.";
  AnsiString   EN_MSG_25 = "Saving data from memory to the HEX-file.";
  AnsiString   EN_MSG_26 = "This chip has no memory.";
  AnsiString   EN_MSG_27 = "An error occured during data transferring.";
  AnsiString   EN_MSG_28 = "Control byte is invalid.";
  AnsiString   EN_MSG_29 = "Data verification error.";
  AnsiString   EN_MSG_30 = "Write protected. Addresses ";
  AnsiString   EN_MSG_31 = "MAC error.";
  AnsiString   EN_MSG_32 = "Command sending error";

  AnsiString   EN_MSG_103 = "The cyclic polling has started.";
  AnsiString   EN_MSG_104 = "The cyclic polling has stopped.";
  AnsiString   EN_MSG_105 = "Error. Writing data has failed.";
  AnsiString   EN_MSG_106 = "Success. Data have written.";
  AnsiString   EN_MSG_107 = "Error. Reading has failed.";
  AnsiString   EN_MSG_108 = "Success. Data have read.";
  AnsiString   EN_MSG_109 = "Error. Copying has failed.";
  AnsiString   EN_MSG_110 = "Success. Copying has done.";
  AnsiString   EN_MSG_111 = "Error. Separate power supply is required.";
  AnsiString   EN_MSG_112 = "Parasite power supply is in using.";
  AnsiString   EN_MSG_113 = "Separate power supply is in using.";
  AnsiString   EN_MSG_114 = "The power source could not be determined.";
  AnsiString   EN_MSG_115 = "Operation has cancelled.";
  AnsiString   EN_MSG_116 = "Writing into the scratchpad is starting.";
  AnsiString   EN_MSG_117 = "Reading from the scratchpad is starting.";
  AnsiString   EN_MSG_118 = "Copying from the scratchpad to the EEPROM is starting.";
  AnsiString   EN_MSG_119 = "Cyclic polling is starting.";
  AnsiString   EN_MSG_120 = "Writing data into the Application Register is starting.";
  AnsiString   EN_MSG_121 = "Writing data into the EEPROM is starting.";
  AnsiString   EN_MSG_122 = "Writing the register page into the EEPROM is starting.";
  AnsiString   EN_MSG_123 = "The cyclic polling is stopping.";
  AnsiString   EN_MSG_124 = "Reading from the EEPROM is starting.";
  AnsiString   EN_MSG_125 = "Register page reading from the EEPROM is starting.";
  AnsiString   EN_MSG_126 = "Power supply mode reading is starting.";
  AnsiString   EN_MSG_127 = "Status register reading is starting.";
  AnsiString   EN_MSG_128 = "Application register reading is starting.";
  AnsiString   EN_MSG_129 = "Application Register copying to OTP is starting.";
  AnsiString   EN_MSG_130 = "\"Write Scratchpad\" button is for writing from the scratchpad to the chip bytes 2 (TH) & 3 (TL).";
  AnsiString   EN_MSG_131 = "\"Write Scratchpad\" button is for writing from the scratchpad to the chip bytes 2 (TH), 3 (TL) & 4 (Config).";
  AnsiString   EN_MSG_132 = "For every area: low 8 bytes - ID field, next 8 bytes - PASSWORD field, all other bytes - SECURE DATA.";
  AnsiString   EN_MSG_133 = "You did not select any areas for which you want to do pointed action (no checked checkboxes).";
  AnsiString   EN_MSG_134 = "Writing key data is starting.";
  AnsiString   EN_MSG_135 = "Reading key data is starting.";
  AnsiString   EN_MSG_136 = "Writing key ID and Password is starting.";
  AnsiString   EN_MSG_137 = "Reading state is starting.";
  AnsiString   EN_MSG_138 = "Toggling is starting.";
  AnsiString   EN_MSG_139 = "Success. Toggle has done.";
  AnsiString   EN_MSG_140 = "Error. Toggling has failed.";
  AnsiString   EN_MSG_141 = "Low byte (0x0000) - Сontrol, next 4 bytes (0x0001:0x0004) - Counter.";
  AnsiString   EN_MSG_142 = "Writing data is starting.";
  AnsiString   EN_MSG_143 = "Reading data is starting.";
  AnsiString   EN_MSG_144 = "Writing Timekeeping Registers is starting.";
  AnsiString   EN_MSG_145 = "Not selected, which of Timekeeping Registers needs to be written/read.";
  AnsiString   EN_MSG_146 = "Reading Timekeeping Registers is starting.";
  AnsiString   EN_MSG_147 = "First 4 bytes of Counters area - page 12 counter, next 4 bytes - page 13 counter, next bytes - page 14 and 15 counters respectively.";
  AnsiString   EN_MSG_148 = "Tamper-byte is not equal to 0x55 (factory setting).";
  AnsiString   EN_MSG_149 = "Command executing is starting.";
  AnsiString   EN_MSG_150 = "Command executing completed with an error.";
  AnsiString   EN_MSG_151 = "Command executing completed successfully.";
  AnsiString   EN_MSG_152 = "There must be only one key on the 1-Wire bus.";
  AnsiString   EN_MSG_153 = "Writing new ROM is starting. ROM: ";
  AnsiString   EN_MSG_154 = "Reading ROM is starting.";
  AnsiString   EN_MSG_155 = "Warning! Chip power supply must not exceed 3,6 Volts.";
  AnsiString   EN_MSG_156 = "Documentation is not found.";
  AnsiString   EN_MSG_157 = "Blocking ROM is starting.";
  AnsiString   EN_MSG_158 = "Error. Blocking ROM has failed.";
  AnsiString   EN_MSG_159 = "Success. Blocking ROM has done.";
  AnsiString   EN_MSG_160 = "Document AN1990.pdf has error in \"Write ROM\" command algorithm.";
  AnsiString   EN_MSG_161 = "Some commands of this chip (buttons marked with *) require increased voltage. With RH-0004 you should use a special additional circuit (RH-0004-ADD1) to use these commands. And with RH-0010 you should use a 1-Wire module to do it. In the latter case, an increased voltage can be obtained using a power module.";
  AnsiString   EN_MSG_162 = "Data Memory Refreshing is starting.";
  AnsiString   EN_MSG_163 = "Data Memory Refreshing completed with an error.";
  AnsiString   EN_MSG_164 = "Data Memory Refreshing completed successfully.";
  AnsiString   EN_MSG_165 = "New Secret setting completed completed with an error.";
  AnsiString   EN_MSG_166 = "New Secret setting completed successfully.";
  AnsiString   EN_MSG_167 = "If you are using DS1961S, select it manually via top menu.";
  AnsiString   EN_MSG_168 = "Try to lock the chip";
  AnsiString   EN_MSG_169 = "Reading lock status...";
  AnsiString   EN_MSG_170 = "Memory area is locked";
  AnsiString   EN_MSG_171 = "Memory area is unlocked";

  AnsiString   EN_MSG_200 = "Chip DS18S20 is selected.";
  AnsiString   EN_MSG_201 = "Chip DS2430A is selected.";
  AnsiString   EN_MSG_202 = "Chip DS24B33 is selected.";
  AnsiString   EN_MSG_203 = "Chip DS18B20 is selected.";
  AnsiString   EN_MSG_204 = "Chip DS2431 is selected.";
  AnsiString   EN_MSG_205 = "Chip DS1991 is selected.";
  AnsiString   EN_MSG_206 = "Chip DS1425 is selected.";
  AnsiString   EN_MSG_207 = "Chip DS1992 is selected.";
  AnsiString   EN_MSG_208 = "Chip DS1993 is selected.";
  AnsiString   EN_MSG_209 = "Chip DS1995 is selected.";
  AnsiString   EN_MSG_210 = "Chip DS1996 is selected.";
  AnsiString   EN_MSG_211 = "Chip DS2405 is selected.";
  AnsiString   EN_MSG_212 = "Chip DS1822 is selected.";
  AnsiString   EN_MSG_213 = "Chip DS2415 is selected.";
  AnsiString   EN_MSG_214 = "Chip DS2417 is selected.";
  AnsiString   EN_MSG_215 = "Chip DS1994 is selected.";
  AnsiString   EN_MSG_216 = "Chip DS1963L is selected.";
  AnsiString   EN_MSG_217 = "Chip DS2423 is selected.";
  AnsiString   EN_MSG_218 = "Chip DS1427 is selected.";
  AnsiString   EN_MSG_219 = "Chip DS2890 is selected.";
  AnsiString   EN_MSG_220 = "Key RW1990 is selected.";
  AnsiString   EN_MSG_221 = "Chip DS2404 is selected.";
  AnsiString   EN_MSG_222 = "Chip DS1920 is selected.";
  AnsiString   EN_MSG_223 = "Chip DS1971 is selected.";
  AnsiString   EN_MSG_224 = "Chip DS28E07 is selected.";
  AnsiString   EN_MSG_225 = "Chip DS28E05 is selected.";
  AnsiString   EN_MSG_226 = "Key AN1990 (based on K1446VG5) is selected.";
  AnsiString   EN_MSG_227 = "Key TM-2004 (based on K1446VG5) is selected.";
  AnsiString   EN_MSG_228 = "Chip DS2502 is selected.";
  AnsiString   EN_MSG_229 = "Chip DS1982 is selected.";
  AnsiString   EN_MSG_230 = "Chip DS2432 is selected.";
  AnsiString   EN_MSG_231 = "Chip DS1961S is selected.";
  AnsiString   EN_MSG_232 = "Chip MAX31826 is selected.";
  AnsiString   EN_MSG_233 = "Chip DS28EC20 is selected.";
  //----------------------------------------------------------------------------
  // таблица сообщений - русский язык ------------------------------------------
  //----------------------------------------------------------------------------
  AnsiString   RU_MSG_1  = "Не выбрана строка, содержащая ROM.";
  AnsiString   RU_MSG_2  = "Ошибка. COM-порт недоступен.";
  AnsiString   RU_MSG_3  = "Не выбран ни один чип.";
  AnsiString   RU_MSG_4  = "COM-порт открыт.";
  AnsiString   RU_MSG_5  = "COM-порт закрыт.";
  AnsiString   RU_MSG_6  = "Ошибка получения параметров COM-порта.";
  AnsiString   RU_MSG_7  = "Ошибка установки параметров COM-порта.";
  AnsiString   RU_MSG_8  = "Ошибка настройки шлюза.";
  AnsiString   RU_MSG_9  = "Запускаем поиск 1-wire устройств.";
  AnsiString   RU_MSG_10 = "Поиск 1-wire устройств успешно завершён.";
  AnsiString   RU_MSG_11 = "Ошибка загрузки пакета.";
  AnsiString   RU_MSG_12 = "С шины 1-wire считаны 2 единицы.";
  AnsiString   RU_MSG_13 = "CRC8 Ok.";
  AnsiString   RU_MSG_14 = "Ошибка CRC8.";
  AnsiString   RU_MSG_15 = "CRC16 Ок.";
  AnsiString   RU_MSG_16 = "Ошибка CRC16.";
  AnsiString   RU_MSG_17 = "Выбран неизвестный чип.";
  AnsiString   RU_MSG_18 = "Это HEX-файл от 8086/80186.";
  AnsiString   RU_MSG_19 = "Это HEX-файл от 80386.";
  AnsiString   RU_MSG_20 = "Неправильный формат файла.";
  AnsiString   RU_MSG_21 = "Ошибка приёма пакета.";
  AnsiString   RU_MSG_22 = "Загружаем данные из BIN-файла в память.";
  AnsiString   RU_MSG_23 = "Загружаем данные из HEX-файла в память.";
  AnsiString   RU_MSG_24 = "Сохраняем данные из памяти в BIN-файл.";
  AnsiString   RU_MSG_25 = "Сохраняем данные из памяти в HEX-файл.";
  AnsiString   RU_MSG_26 = "У этого чипа нет памяти.";
  AnsiString   RU_MSG_27 = "Во время передачи данных произошла ошибка.";
  AnsiString   RU_MSG_28 = "Отправленный байт Control не валиден.";
  AnsiString   RU_MSG_29 = "Ошибка верификации данных.";
  AnsiString   RU_MSG_30 = "Включена защита от записи. Адреса ";
  AnsiString   RU_MSG_31 = "Ошибочный MAC.";
  AnsiString   RU_MSG_32 = "Ошибка отправки команды";

  AnsiString   RU_MSG_103 = "Циклический опрос запущен.";
  AnsiString   RU_MSG_104 = "Циклический опрос остановлен.";
  AnsiString   RU_MSG_105 = "Ошибка. Запись данных не удалась.";
  AnsiString   RU_MSG_106 = "Успех. Данные записаны.";
  AnsiString   RU_MSG_107 = "Ошибка. Чтение не удалось.";
  AnsiString   RU_MSG_108 = "Успех. Данные прочитаны.";
  AnsiString   RU_MSG_109 = "Ошибка. Копирование не удалось.";
  AnsiString   RU_MSG_110 = "Успех. Копирование выполнено.";
  AnsiString   RU_MSG_111 = "Ошибка. Необходимо независимое питание.";
  AnsiString   RU_MSG_112 = "Используется паразитное питание.";
  AnsiString   RU_MSG_113 = "Используется независимое питание.";
  AnsiString   RU_MSG_114 = "Не удалось определить режим питания.";
  AnsiString   RU_MSG_115 = "Операция отменена.";
  AnsiString   RU_MSG_116 = "Начинаем запись в блокнот.";
  AnsiString   RU_MSG_117 = "Начинаем чтение блокнота.";
  AnsiString   RU_MSG_118 = "Начинаем копирование блокнота в EEPROM.";
  AnsiString   RU_MSG_119 = "Запускаем циклический опрос.";
  AnsiString   RU_MSG_120 = "Начинаем запись в Application Register.";
  AnsiString   RU_MSG_121 = "Начинаем запись данных в EEPROM.";
  AnsiString   RU_MSG_122 = "Начинаем запись в EEPROM страницы регистров.";
  AnsiString   RU_MSG_123 = "Останавливаем циклический опрос.";
  AnsiString   RU_MSG_124 = "Начинаем чтение данных из EEPROM.";
  AnsiString   RU_MSG_125 = "Начинаем чтение из EEPROM страницы регистров.";
  AnsiString   RU_MSG_126 = "Начинаем чтение режима питания.";
  AnsiString   RU_MSG_127 = "Начинаем чтение регистра/байтов статуса.";
  AnsiString   RU_MSG_128 = "Начинаем чтение данных из Application Register.";
  AnsiString   RU_MSG_129 = "Начинаем копирование Application Register в OTP.";
  AnsiString   RU_MSG_130 = "Кнопка \"Write Scratchpad\" предназначена для записи в чип байтов 2 (TH) & 3 (TL) блокнота.";
  AnsiString   RU_MSG_131 = "Кнопка \"Write Scratchpad\" предназначена для записи в чип байтов 2 (TH), 3 (TL) & 4 (Config) блокнота.";
  AnsiString   RU_MSG_132 = "Для каждой области младшие 8 байт - поле ID, следующие 8 байт - поле PASSWORD, а все остальные байты - SECURE DATA.";
  AnsiString   RU_MSG_133 = "Вы не выбрали ни одной области, для которой нужно выполнить запрошенное действие (не отмечен ни один чекбокс).";
  AnsiString   RU_MSG_134 = "Начинаем запись данных ключа.";
  AnsiString   RU_MSG_135 = "Начинаем чтение данных ключа.";
  AnsiString   RU_MSG_136 = "Начинаем запись идентификатора и пароля ключа.";
  AnsiString   RU_MSG_137 = "Начинаем чтение состояния.";
  AnsiString   RU_MSG_138 = "Начинаем переключение.";
  AnsiString   RU_MSG_139 = "Успех. Переключение выполнено.";
  AnsiString   RU_MSG_140 = "Ошибка. Переключение не удалось.";
  AnsiString   RU_MSG_141 = "Младший байт (0x0000) - Сontrol, следующие 4 байта (0x0001:0x0004) - Counter.";
  AnsiString   RU_MSG_142 = "Начинаем запись данных.";
  AnsiString   RU_MSG_143 = "Начинаем чтение данных.";
  AnsiString   RU_MSG_144 = "Начинаем запись Timekeeping Registers.";
  AnsiString   RU_MSG_145 = "Не выбрано, какие из Timekeeping Registers нужно прочитать/записать.";
  AnsiString   RU_MSG_146 = "Начинаем чтение Timekeeping Registers.";
  AnsiString   RU_MSG_147 = "Первые 4 байта области Counters - счетчик страницы 12, следующие 4 байта - счётчик страницы 13, следующие байты - счётчики страниц 14 и 15 соответственно.";
  AnsiString   RU_MSG_148 = "Tamper-byte не равен 0x55 (заводская установка).";
  AnsiString   RU_MSG_149 = "Начинаем выполнение команды.";
  AnsiString   RU_MSG_150 = "Выполнение команды завершено с ошибкой.";
  AnsiString   RU_MSG_151 = "Выполнение команды успешно завершено.";
  AnsiString   RU_MSG_152 = "К шине должен быть подключен только один ключ.";
  AnsiString   RU_MSG_153 = "Начинаем запись нового ROM.";
  AnsiString   RU_MSG_154 = "Начинаем чтение ROM.";
  AnsiString   RU_MSG_155 = "Внимание. Максимальное напряжение питания для этого чипа +3,6 Вольт.";
  AnsiString   RU_MSG_156 = "Документация не найдена.";
  AnsiString   RU_MSG_157 = "Начинаем блокировку ROM.";
  AnsiString   RU_MSG_158 = "Блокировка ROM завершена с ошибкой.";
  AnsiString   RU_MSG_159 = "Блокировка ROM успешно завершена.";
  AnsiString   RU_MSG_160 = "Документ AN1990.pdf содержит ошибку в алгоритме команды \"Write ROM\".";
  AnsiString   RU_MSG_161 = "Для выполнения некоторых команд этого чипа (кнопки помечены *) требуется повышенное напряжение. При работе с RH-0004 такие команды могут быть выполнены только с помощью специальной дополнительной схемы (RH-0004-ADD1). При работе с RH-0010 необходимо использовать модуль 1-Wire. В последнем случае повышенное напряжение может быть получено при помощи модуля питания.";
  AnsiString   RU_MSG_162 = "Начинаем регенерацию памяти данных.";
  AnsiString   RU_MSG_163 = "Регенерация памяти данных завершена с ошибкой.";
  AnsiString   RU_MSG_164 = "Регенерация памяти данных успешно завершена.";
  AnsiString   RU_MSG_165 = "Установка нового Секрета завершена с ошибкой.";
  AnsiString   RU_MSG_166 = "Установка нового Секрета успешно завершена.";
  AnsiString   RU_MSG_167 = "Если вы используете чип DS1961S - выберите его вручную через верхнее меню.";
  AnsiString   RU_MSG_168 = "Пробуем залочить чип";
  AnsiString   RU_MSG_169 = "Читаем lock-статус...";
  AnsiString   RU_MSG_170 = "Область памяти залочена";
  AnsiString   RU_MSG_171 = "Область Low памяти не залочена";

  AnsiString   RU_MSG_200 = "Выбран чип DS18S20.";
  AnsiString   RU_MSG_201 = "Выбран чип DS2430A.";
  AnsiString   RU_MSG_202 = "Выбран чип DS24B33.";
  AnsiString   RU_MSG_203 = "Выбран чип DS18B20.";
  AnsiString   RU_MSG_204 = "Выбран чип DS2431.";
  AnsiString   RU_MSG_205 = "Выбран чип DS1991.";
  AnsiString   RU_MSG_206 = "Выбран чип DS1425.";
  AnsiString   RU_MSG_207 = "Выбран чип DS1992.";
  AnsiString   RU_MSG_208 = "Выбран чип DS1993.";
  AnsiString   RU_MSG_209 = "Выбран чип DS1995.";
  AnsiString   RU_MSG_210 = "Выбран чип DS1996.";
  AnsiString   RU_MSG_211 = "Выбран чип DS2405.";
  AnsiString   RU_MSG_212 = "Выбран чип DS1822.";
  AnsiString   RU_MSG_213 = "Выбран чип DS2415.";
  AnsiString   RU_MSG_214 = "Выбран чип DS2417.";
  AnsiString   RU_MSG_215 = "Выбран чип DS1994.";
  AnsiString   RU_MSG_216 = "Выбран чип DS1963L.";
  AnsiString   RU_MSG_217 = "Выбран чип DS2423.";
  AnsiString   RU_MSG_218 = "Выбран чип DS1427.";
  AnsiString   RU_MSG_219 = "Выбран чип DS2890.";
  AnsiString   RU_MSG_220 = "Выбран ключ RW1990.";
  AnsiString   RU_MSG_221 = "Выбран чип DS2404.";
  AnsiString   RU_MSG_222 = "Выбран чип DS1920.";
  AnsiString   RU_MSG_223 = "Выбран чип DS1971.";
  AnsiString   RU_MSG_224 = "Выбран чип DS28E07.";
  AnsiString   RU_MSG_225 = "Выбран чип DS28E05.";
  AnsiString   RU_MSG_226 = "Выбран ключ AN1990 (на базе К1446ВГ5).";
  AnsiString   RU_MSG_227 = "Выбран ключ TM-2004 (на базе К1446ВГ5).";
  AnsiString   RU_MSG_228 = "Выбран чип DS2502.";
  AnsiString   RU_MSG_229 = "Выбран чип DS1982.";
  AnsiString   RU_MSG_230 = "Выбран чип DS2432.";
  AnsiString   RU_MSG_231 = "Выбран чип DS1961S.";
  AnsiString   RU_MSG_232 = "Выбран чип MAX31826.";
  AnsiString   RU_MSG_233 = "Выбран чип DS28EC20.";
  //----------------------------------------------------------------------------
  // рабочая часть функции -----------------------------------------------------
  //----------------------------------------------------------------------------
  // формируем 32-битный код для выбора нужного сообщения на нужном языке
  LMCode=LangNum;       LMCode=(LMCode<<24)+MsgNum;
  switch(LMCode)
  { //-------------------------------------------------------------------------------------
    // старший байт = 0 - английский язык -------------------------------------------------
    //-------------------------------------------------------------------------------------
    case 0x1:           Form1->RichEdit9->Lines->Add(EN_MSG_1+AddMsg);
                        break;
    case 0x2:           Form1->RichEdit9->Lines->Add(EN_MSG_2+AddMsg);
                        break;
    case 0x3:           Form1->RichEdit9->Lines->Add(EN_MSG_3+AddMsg);
                        break;
    case 0x4:           Form1->RichEdit9->Lines->Add(EN_MSG_4+AddMsg);
                        break;
    case 0x5:           Form1->RichEdit9->Lines->Add(EN_MSG_5+AddMsg);
                        break;
    case 0x6:           Form1->RichEdit9->Lines->Add(EN_MSG_6+AddMsg);
                        break;
    case 0x7:           Form1->RichEdit9->Lines->Add(EN_MSG_7+AddMsg);
                        break;
    case 0x8:           Form1->RichEdit9->Lines->Add(EN_MSG_8+AddMsg);
                        break;
    case 0x9:           Form1->RichEdit9->Lines->Add(EN_MSG_9+AddMsg);
                        break;
    case 0xA:           Form1->RichEdit9->Lines->Add(EN_MSG_10+AddMsg);
                        break;
    case 0xB:           Form1->RichEdit9->Lines->Add(EN_MSG_11+AddMsg);
                        break;
    case 0xC:           Form1->RichEdit9->Lines->Add(EN_MSG_12+AddMsg);
                        break;
    case 0xD:           Form1->RichEdit9->Lines->Add(EN_MSG_13+AddMsg);
                        break;
    case 0xE:           Form1->RichEdit9->Lines->Add(EN_MSG_14+AddMsg);
                        break;
    case 0xF:           Form1->RichEdit9->Lines->Add(EN_MSG_15+AddMsg);
                        break;
    case 0x10:          Form1->RichEdit9->Lines->Add(EN_MSG_16+AddMsg);
                        break;
    case 0x11:          Form1->RichEdit9->Lines->Add(EN_MSG_17+AddMsg);
                        break;
    case 0x12:          Form1->RichEdit9->Lines->Add(EN_MSG_18+AddMsg);
                        break;
    case 0x13:          Form1->RichEdit9->Lines->Add(EN_MSG_19+AddMsg);
                        break;
    case 0x14:          Form1->RichEdit9->Lines->Add(EN_MSG_20+AddMsg);
                        break;
    case 0x15:          Form1->RichEdit9->Lines->Add(EN_MSG_21+AddMsg);
                        break;
    case 0x16:          Form1->RichEdit9->Lines->Add(EN_MSG_22+AddMsg);
                        break;
    case 0x17:          Form1->RichEdit9->Lines->Add(EN_MSG_23+AddMsg);
                        break;
    case 0x18:          Form1->RichEdit9->Lines->Add(EN_MSG_24+AddMsg);
                        break;
    case 0x19:          Form1->RichEdit9->Lines->Add(EN_MSG_25+AddMsg);
                        break;
    case 0x1A:          Form1->RichEdit9->Lines->Add(EN_MSG_26+AddMsg);
                        break;
    case 0x1B:          Form1->RichEdit9->Lines->Add(EN_MSG_27+AddMsg);
                        break;
    case 0x1C:          Form1->RichEdit9->Lines->Add(EN_MSG_28+AddMsg);
                        break;
    case 0x1D:          Form1->RichEdit9->Lines->Add(EN_MSG_29+AddMsg);
                        break;
    case 0x1E:          Form1->RichEdit9->Lines->Add(EN_MSG_30+AddMsg);
                        break;
    case 0x1F:          Form1->RichEdit9->Lines->Add(EN_MSG_31+AddMsg);
                        break;
    case 0x20:          Form1->RichEdit9->Lines->Add(EN_MSG_32+AddMsg);
                        break;

    case 0x67:          Form1->RichEdit9->Lines->Add(EN_MSG_103+AddMsg);
                        break;
    case 0x68:          Form1->RichEdit9->Lines->Add(EN_MSG_104+AddMsg);
                        break;
    case 0x69:          Form1->RichEdit9->Lines->Add(EN_MSG_105+AddMsg);
                        break;
    case 0x6A:          Form1->RichEdit9->Lines->Add(EN_MSG_106+AddMsg);
                        break;
    case 0x6B:          Form1->RichEdit9->Lines->Add(EN_MSG_107+AddMsg);
                        break;
    case 0x6C:          Form1->RichEdit9->Lines->Add(EN_MSG_108+AddMsg);
                        break;
    case 0x6D:          Form1->RichEdit9->Lines->Add(EN_MSG_109+AddMsg);
                        break;
    case 0x6E:          Form1->RichEdit9->Lines->Add(EN_MSG_110+AddMsg);
                        break;
    case 0x6F:          Form1->RichEdit9->Lines->Add(EN_MSG_111+AddMsg);
                        break;
    case 0x70:          Form1->RichEdit9->Lines->Add(EN_MSG_112+AddMsg);
                        break;
    case 0x71:          Form1->RichEdit9->Lines->Add(EN_MSG_113+AddMsg);
                        break;
    case 0x72:          Form1->RichEdit9->Lines->Add(EN_MSG_114+AddMsg);
                        break;
    case 0x73:          Form1->RichEdit9->Lines->Add(EN_MSG_115+AddMsg);
                        break;
    case 0x74:          Form1->RichEdit9->Lines->Add(EN_MSG_116+AddMsg);
                        break;
    case 0x75:          Form1->RichEdit9->Lines->Add(EN_MSG_117+AddMsg);
                        break;
    case 0x76:          Form1->RichEdit9->Lines->Add(EN_MSG_118+AddMsg);
                        break;
    case 0x77:          Form1->RichEdit9->Lines->Add(EN_MSG_119+AddMsg);
                        break;
    case 0x78:          Form1->RichEdit9->Lines->Add(EN_MSG_120+AddMsg);
                        break;
    case 0x79:          Form1->RichEdit9->Lines->Add(EN_MSG_121+AddMsg);
                        break;
    case 0x7A:          Form1->RichEdit9->Lines->Add(EN_MSG_122+AddMsg);
                        break;
    case 0x7B:          Form1->RichEdit9->Lines->Add(EN_MSG_123+AddMsg);
                        break;
    case 0x7C:          Form1->RichEdit9->Lines->Add(EN_MSG_124+AddMsg);
                        break;
    case 0x7D:          Form1->RichEdit9->Lines->Add(EN_MSG_125+AddMsg);
                        break;
    case 0x7E:          Form1->RichEdit9->Lines->Add(EN_MSG_126+AddMsg);
                        break;
    case 0x7F:          Form1->RichEdit9->Lines->Add(EN_MSG_127+AddMsg);
                        break;
    case 0x80:          Form1->RichEdit9->Lines->Add(EN_MSG_128+AddMsg);
                        break;
    case 0x81:          Form1->RichEdit9->Lines->Add(EN_MSG_129+AddMsg);
                        break;
    case 0x82:          Form1->RichEdit9->Lines->Add(EN_MSG_130+AddMsg);
                        break;
    case 0x83:          Form1->RichEdit9->Lines->Add(EN_MSG_131+AddMsg);
                        break;
    case 0x84:          Form1->RichEdit9->Lines->Add(EN_MSG_132+AddMsg);
                        break;
    case 0x85:          Form1->RichEdit9->Lines->Add(EN_MSG_133+AddMsg);
                        break;
    case 0x86:          Form1->RichEdit9->Lines->Add(EN_MSG_134+AddMsg);
                        break;
    case 0x87:          Form1->RichEdit9->Lines->Add(EN_MSG_135+AddMsg);
                        break;
    case 0x88:          Form1->RichEdit9->Lines->Add(EN_MSG_136+AddMsg);
                        break;
    case 0x89:          Form1->RichEdit9->Lines->Add(EN_MSG_137+AddMsg);
                        break;
    case 0x8A:          Form1->RichEdit9->Lines->Add(EN_MSG_138+AddMsg);
                        break;
    case 0x8B:          Form1->RichEdit9->Lines->Add(EN_MSG_139+AddMsg);
                        break;
    case 0x8C:          Form1->RichEdit9->Lines->Add(EN_MSG_140+AddMsg);
                        break;
    case 0x8D:          Form1->RichEdit9->Lines->Add(EN_MSG_141+AddMsg);
                        break;
    case 0x8E:          Form1->RichEdit9->Lines->Add(EN_MSG_142+AddMsg);
                        break;
    case 0x8F:          Form1->RichEdit9->Lines->Add(EN_MSG_143+AddMsg);
                        break;
    case 0x90:          Form1->RichEdit9->Lines->Add(EN_MSG_144+AddMsg);
                        break;
    case 0x91:          Form1->RichEdit9->Lines->Add(EN_MSG_145+AddMsg);
                        break;
    case 0x92:          Form1->RichEdit9->Lines->Add(EN_MSG_146+AddMsg);
                        break;
    case 0x93:          Form1->RichEdit9->Lines->Add(EN_MSG_147+AddMsg);
                        break;
    case 0x94:          Form1->RichEdit9->Lines->Add(EN_MSG_148+AddMsg);
                        break;
    case 0x95:          Form1->RichEdit9->Lines->Add(EN_MSG_149+AddMsg);
                        break;
    case 0x96:          Form1->RichEdit9->Lines->Add(EN_MSG_150+AddMsg);
                        break;
    case 0x97:          Form1->RichEdit9->Lines->Add(EN_MSG_151+AddMsg);
                        break;
    case 0x98:          Form1->RichEdit9->Lines->Add(EN_MSG_152+AddMsg);
                        break;
    case 0x99:          Form1->RichEdit9->Lines->Add(EN_MSG_153+AddMsg);
                        break;
    case 0x9A:          Form1->RichEdit9->Lines->Add(EN_MSG_154+AddMsg);
                        break;
    case 0x9B:          Form1->RichEdit9->Lines->Add(EN_MSG_155+AddMsg);
                        break;
    case 0x9C:          Form1->RichEdit9->Lines->Add(EN_MSG_156+AddMsg);
                        break;
    case 0x9D:          Form1->RichEdit9->Lines->Add(EN_MSG_157+AddMsg);
                        break;
    case 0x9E:          Form1->RichEdit9->Lines->Add(EN_MSG_158+AddMsg);
                        break;
    case 0x9F:          Form1->RichEdit9->Lines->Add(EN_MSG_159+AddMsg);
                        break;
    case 0xA0:          Form1->RichEdit9->Lines->Add(EN_MSG_160+AddMsg);
                        break;
    case 0xA1:          Form1->RichEdit9->Lines->Add(EN_MSG_161+AddMsg);
                        break;
    case 0xA2:          Form1->RichEdit9->Lines->Add(EN_MSG_162+AddMsg);
                        break;
    case 0xA3:          Form1->RichEdit9->Lines->Add(EN_MSG_163+AddMsg);
                        break;
    case 0xA4:          Form1->RichEdit9->Lines->Add(EN_MSG_164+AddMsg);
                        break;
    case 0xA5:          Form1->RichEdit9->Lines->Add(EN_MSG_165+AddMsg);
                        break;
    case 0xA6:          Form1->RichEdit9->Lines->Add(EN_MSG_166+AddMsg);
                        break;
    case 0xA7:          Form1->RichEdit9->Lines->Add(EN_MSG_167+AddMsg);
                        break;
    case 0xA8:          Form1->RichEdit9->Lines->Add(EN_MSG_168+AddMsg);
                        break;
    case 0xA9:          Form1->RichEdit9->Lines->Add(EN_MSG_169+AddMsg);
                        break;
    case 0xAA:          Form1->RichEdit9->Lines->Add(EN_MSG_170+AddMsg);
                        break;
    case 0xAB:          Form1->RichEdit9->Lines->Add(EN_MSG_171+AddMsg);
                        break;

    case 0xC8:          Form1->RichEdit9->Lines->Add(EN_MSG_200+AddMsg);
                        break;
    case 0xC9:          Form1->RichEdit9->Lines->Add(EN_MSG_201+AddMsg);
                        break;
    case 0xCA:          Form1->RichEdit9->Lines->Add(EN_MSG_202+AddMsg);
                        break;
    case 0xCB:          Form1->RichEdit9->Lines->Add(EN_MSG_203+AddMsg);
                        break;
    case 0xCC:          Form1->RichEdit9->Lines->Add(EN_MSG_204+AddMsg);
                        break;
    case 0xCD:          Form1->RichEdit9->Lines->Add(EN_MSG_205+AddMsg);
                        break;
    case 0xCE:          Form1->RichEdit9->Lines->Add(EN_MSG_206+AddMsg);
                        break;
    case 0xCF:          Form1->RichEdit9->Lines->Add(EN_MSG_207+AddMsg);
                        break;
    case 0xD0:          Form1->RichEdit9->Lines->Add(EN_MSG_208+AddMsg);
                        break;
    case 0xD1:          Form1->RichEdit9->Lines->Add(EN_MSG_209+AddMsg);
                        break;
    case 0xD2:          Form1->RichEdit9->Lines->Add(EN_MSG_210+AddMsg);
                        break;
    case 0xD3:          Form1->RichEdit9->Lines->Add(EN_MSG_211+AddMsg);
                        break;
    case 0xD4:          Form1->RichEdit9->Lines->Add(EN_MSG_212+AddMsg);
                        break;
    case 0xD5:          Form1->RichEdit9->Lines->Add(EN_MSG_213+AddMsg);
                        break;
    case 0xD6:          Form1->RichEdit9->Lines->Add(EN_MSG_214+AddMsg);
                        break;
    case 0xD7:          Form1->RichEdit9->Lines->Add(EN_MSG_215+AddMsg);
                        break;
    case 0xD8:          Form1->RichEdit9->Lines->Add(EN_MSG_216+AddMsg);
                        break;
    case 0xD9:          Form1->RichEdit9->Lines->Add(EN_MSG_217+AddMsg);
                        break;
    case 0xDA:          Form1->RichEdit9->Lines->Add(EN_MSG_218+AddMsg);
                        break;
    case 0xDB:          Form1->RichEdit9->Lines->Add(EN_MSG_219+AddMsg);
                        break;
    case 0xDC:          Form1->RichEdit9->Lines->Add(EN_MSG_220+AddMsg);
                        break;
    case 0xDD:          Form1->RichEdit9->Lines->Add(EN_MSG_221+AddMsg);
                        break;
    case 0xDE:          Form1->RichEdit9->Lines->Add(EN_MSG_222+AddMsg);
                        break;
    case 0xDF:          Form1->RichEdit9->Lines->Add(EN_MSG_223+AddMsg);
                        break;
    case 0xE0:          Form1->RichEdit9->Lines->Add(EN_MSG_224+AddMsg);
                        break;
    case 0xE1:          Form1->RichEdit9->Lines->Add(EN_MSG_225+AddMsg);
                        break;
    case 0xE2:          Form1->RichEdit9->Lines->Add(EN_MSG_226+AddMsg);
                        break;
    case 0xE3:          Form1->RichEdit9->Lines->Add(EN_MSG_227+AddMsg);
                        break;
    case 0xE4:          Form1->RichEdit9->Lines->Add(EN_MSG_228+AddMsg);
                        break;
    case 0xE5:          Form1->RichEdit9->Lines->Add(EN_MSG_229+AddMsg);
                        break;
    case 0xE6:          Form1->RichEdit9->Lines->Add(EN_MSG_230+AddMsg);
                        break;
    case 0xE7:          Form1->RichEdit9->Lines->Add(EN_MSG_231+AddMsg);
                        break;
    case 0xE8:          Form1->RichEdit9->Lines->Add(EN_MSG_232+AddMsg);
                        break;
    case 0xE9:          Form1->RichEdit9->Lines->Add(EN_MSG_233+AddMsg);
                        break;
    //-------------------------------------------------------------------------------------
    // старший байт = 1 - русский язык ----------------------------------------------------
    //-------------------------------------------------------------------------------------
    case 0x01000001:    Form1->RichEdit9->Lines->Add(RU_MSG_1+AddMsg);
                        break;
    case 0x01000002:    Form1->RichEdit9->Lines->Add(RU_MSG_2+AddMsg);
                        break;
    case 0x01000003:    Form1->RichEdit9->Lines->Add(RU_MSG_3+AddMsg);
                        break;
    case 0x01000004:    Form1->RichEdit9->Lines->Add(RU_MSG_4+AddMsg);
                        break;
    case 0x01000005:    Form1->RichEdit9->Lines->Add(RU_MSG_5+AddMsg);
                        break;
    case 0x01000006:    Form1->RichEdit9->Lines->Add(RU_MSG_6+AddMsg);
                        break;
    case 0x01000007:    Form1->RichEdit9->Lines->Add(RU_MSG_7+AddMsg);
                        break;
    case 0x01000008:    Form1->RichEdit9->Lines->Add(RU_MSG_8+AddMsg);
                        break;
    case 0x01000009:    Form1->RichEdit9->Lines->Add(RU_MSG_9+AddMsg);
                        break;
    case 0x0100000A:    Form1->RichEdit9->Lines->Add(RU_MSG_10+AddMsg);
                        break;
    case 0x0100000B:    Form1->RichEdit9->Lines->Add(RU_MSG_11+AddMsg);
                        break;
    case 0x0100000C:    Form1->RichEdit9->Lines->Add(RU_MSG_12+AddMsg);
                        break;
    case 0x0100000D:    Form1->RichEdit9->Lines->Add(RU_MSG_13+AddMsg);
                        break;
    case 0x0100000E:    Form1->RichEdit9->Lines->Add(RU_MSG_14+AddMsg);
                        break;
    case 0x0100000F:    Form1->RichEdit9->Lines->Add(RU_MSG_15+AddMsg);
                        break;
    case 0x01000010:    Form1->RichEdit9->Lines->Add(RU_MSG_16+AddMsg);
                        break;
    case 0x01000011:    Form1->RichEdit9->Lines->Add(RU_MSG_17+AddMsg);
                        break;
    case 0x01000012:    Form1->RichEdit9->Lines->Add(RU_MSG_18+AddMsg);
                        break;
    case 0x01000013:    Form1->RichEdit9->Lines->Add(RU_MSG_19+AddMsg);
                        break;
    case 0x01000014:    Form1->RichEdit9->Lines->Add(RU_MSG_20+AddMsg);
                        break;
    case 0x01000015:    Form1->RichEdit9->Lines->Add(RU_MSG_21+AddMsg);
                        break;
    case 0x01000016:    Form1->RichEdit9->Lines->Add(RU_MSG_22+AddMsg);
                        break;
    case 0x01000017:    Form1->RichEdit9->Lines->Add(RU_MSG_23+AddMsg);
                        break;
    case 0x01000018:    Form1->RichEdit9->Lines->Add(RU_MSG_24+AddMsg);
                        break;
    case 0x01000019:    Form1->RichEdit9->Lines->Add(RU_MSG_25+AddMsg);
                        break;
    case 0x0100001A:    Form1->RichEdit9->Lines->Add(RU_MSG_26+AddMsg);
                        break;
    case 0x0100001B:    Form1->RichEdit9->Lines->Add(RU_MSG_27+AddMsg);
                        break;
    case 0x0100001C:    Form1->RichEdit9->Lines->Add(RU_MSG_28+AddMsg);
                        break;
    case 0x0100001D:    Form1->RichEdit9->Lines->Add(RU_MSG_29+AddMsg);
                        break;
    case 0x0100001E:    Form1->RichEdit9->Lines->Add(RU_MSG_30+AddMsg);
                        break;
    case 0x0100001F:    Form1->RichEdit9->Lines->Add(RU_MSG_31+AddMsg);
                        break;
    case 0x01000020:    Form1->RichEdit9->Lines->Add(RU_MSG_32+AddMsg);
                        break;

    case 0x01000067:    Form1->RichEdit9->Lines->Add(RU_MSG_103+AddMsg);
                        break;
    case 0x01000068:    Form1->RichEdit9->Lines->Add(RU_MSG_104+AddMsg);
                        break;
    case 0x01000069:    Form1->RichEdit9->Lines->Add(RU_MSG_105+AddMsg);
                        break;
    case 0x0100006A:    Form1->RichEdit9->Lines->Add(RU_MSG_106+AddMsg);
                        break;
    case 0x0100006B:    Form1->RichEdit9->Lines->Add(RU_MSG_107+AddMsg);
                        break;
    case 0x0100006C:    Form1->RichEdit9->Lines->Add(RU_MSG_108+AddMsg);
                        break;
    case 0x0100006D:    Form1->RichEdit9->Lines->Add(RU_MSG_109+AddMsg);
                        break;
    case 0x0100006E:    Form1->RichEdit9->Lines->Add(RU_MSG_110+AddMsg);
                        break;
    case 0x0100006F:    Form1->RichEdit9->Lines->Add(RU_MSG_111+AddMsg);
                        break;
    case 0x01000070:    Form1->RichEdit9->Lines->Add(RU_MSG_112+AddMsg);
                        break;
    case 0x01000071:    Form1->RichEdit9->Lines->Add(RU_MSG_113+AddMsg);
                        break;
    case 0x01000072:    Form1->RichEdit9->Lines->Add(RU_MSG_114+AddMsg);
                        break;
    case 0x01000073:    Form1->RichEdit9->Lines->Add(RU_MSG_115+AddMsg);
                        break;
    case 0x01000074:    Form1->RichEdit9->Lines->Add(RU_MSG_116+AddMsg);
                        break;
    case 0x01000075:    Form1->RichEdit9->Lines->Add(RU_MSG_117+AddMsg);
                        break;
    case 0x01000076:    Form1->RichEdit9->Lines->Add(RU_MSG_118+AddMsg);
                        break;
    case 0x01000077:    Form1->RichEdit9->Lines->Add(RU_MSG_119+AddMsg);
                        break;
    case 0x01000078:    Form1->RichEdit9->Lines->Add(RU_MSG_120+AddMsg);
                        break;
    case 0x01000079:    Form1->RichEdit9->Lines->Add(RU_MSG_121+AddMsg);
                        break;
    case 0x0100007A:    Form1->RichEdit9->Lines->Add(RU_MSG_122+AddMsg);
                        break;
    case 0x0100007B:    Form1->RichEdit9->Lines->Add(RU_MSG_123+AddMsg);
                        break;
    case 0x0100007C:    Form1->RichEdit9->Lines->Add(RU_MSG_124+AddMsg);
                        break;
    case 0x0100007D:    Form1->RichEdit9->Lines->Add(RU_MSG_125+AddMsg);
                        break;
    case 0x0100007E:    Form1->RichEdit9->Lines->Add(RU_MSG_126+AddMsg);
                        break;
    case 0x0100007F:    Form1->RichEdit9->Lines->Add(RU_MSG_127+AddMsg);
                        break;
    case 0x01000080:    Form1->RichEdit9->Lines->Add(RU_MSG_128+AddMsg);
                        break;
    case 0x01000081:    Form1->RichEdit9->Lines->Add(RU_MSG_129+AddMsg);
                        break;
    case 0x01000082:    Form1->RichEdit9->Lines->Add(RU_MSG_130+AddMsg);
                        break;
    case 0x01000083:    Form1->RichEdit9->Lines->Add(RU_MSG_131+AddMsg);
                        break;
    case 0x01000084:    Form1->RichEdit9->Lines->Add(RU_MSG_132+AddMsg);
                        break;
    case 0x01000085:    Form1->RichEdit9->Lines->Add(RU_MSG_133+AddMsg);
                        break;
    case 0x01000086:    Form1->RichEdit9->Lines->Add(RU_MSG_134+AddMsg);
                        break;
    case 0x01000087:    Form1->RichEdit9->Lines->Add(RU_MSG_135+AddMsg);
                        break;
    case 0x01000088:    Form1->RichEdit9->Lines->Add(RU_MSG_136+AddMsg);
                        break;
    case 0x01000089:    Form1->RichEdit9->Lines->Add(RU_MSG_137+AddMsg);
                        break;
    case 0x0100008A:    Form1->RichEdit9->Lines->Add(RU_MSG_138+AddMsg);
                        break;
    case 0x0100008B:    Form1->RichEdit9->Lines->Add(RU_MSG_139+AddMsg);
                        break;
    case 0x0100008C:    Form1->RichEdit9->Lines->Add(RU_MSG_140+AddMsg);
                        break;
    case 0x0100008D:    Form1->RichEdit9->Lines->Add(RU_MSG_141+AddMsg);
                        break;
    case 0x0100008E:    Form1->RichEdit9->Lines->Add(RU_MSG_142+AddMsg);
                        break;
    case 0x0100008F:    Form1->RichEdit9->Lines->Add(RU_MSG_143+AddMsg);
                        break;
    case 0x01000090:    Form1->RichEdit9->Lines->Add(RU_MSG_144+AddMsg);
                        break;
    case 0x01000091:    Form1->RichEdit9->Lines->Add(RU_MSG_145+AddMsg);
                        break;
    case 0x01000092:    Form1->RichEdit9->Lines->Add(RU_MSG_146+AddMsg);
                        break;
    case 0x01000093:    Form1->RichEdit9->Lines->Add(RU_MSG_147+AddMsg);
                        break;
    case 0x01000094:    Form1->RichEdit9->Lines->Add(RU_MSG_148+AddMsg);
                        break;
    case 0x01000095:    Form1->RichEdit9->Lines->Add(RU_MSG_149+AddMsg);
                        break;
    case 0x01000096:    Form1->RichEdit9->Lines->Add(RU_MSG_150+AddMsg);
                        break;
    case 0x01000097:    Form1->RichEdit9->Lines->Add(RU_MSG_151+AddMsg);
                        break;
    case 0x01000098:    Form1->RichEdit9->Lines->Add(RU_MSG_152+AddMsg);
                        break;
    case 0x01000099:    Form1->RichEdit9->Lines->Add(RU_MSG_153+AddMsg);
                        break;
    case 0x0100009A:    Form1->RichEdit9->Lines->Add(RU_MSG_154+AddMsg);
                        break;
    case 0x0100009B:    Form1->RichEdit9->Lines->Add(RU_MSG_155+AddMsg);
                        break;
    case 0x0100009C:    Form1->RichEdit9->Lines->Add(RU_MSG_156+AddMsg);
                        break;
    case 0x0100009D:    Form1->RichEdit9->Lines->Add(RU_MSG_157+AddMsg);
                        break;
    case 0x0100009E:    Form1->RichEdit9->Lines->Add(RU_MSG_158+AddMsg);
                        break;
    case 0x0100009F:    Form1->RichEdit9->Lines->Add(RU_MSG_159+AddMsg);
                        break;
    case 0x010000A0:    Form1->RichEdit9->Lines->Add(RU_MSG_160+AddMsg);
                        break;
    case 0x010000A1:    Form1->RichEdit9->Lines->Add(RU_MSG_161+AddMsg);
                        break;
    case 0x010000A2:    Form1->RichEdit9->Lines->Add(RU_MSG_162+AddMsg);
                        break;
    case 0x010000A3:    Form1->RichEdit9->Lines->Add(RU_MSG_163+AddMsg);
                        break;
    case 0x010000A4:    Form1->RichEdit9->Lines->Add(RU_MSG_164+AddMsg);
                        break;
    case 0x010000A5:    Form1->RichEdit9->Lines->Add(RU_MSG_165+AddMsg);
                        break;
    case 0x010000A6:    Form1->RichEdit9->Lines->Add(RU_MSG_166+AddMsg);
                        break;
    case 0x010000A7:    Form1->RichEdit9->Lines->Add(RU_MSG_167+AddMsg);
                        break;
    case 0x010000A8:    Form1->RichEdit9->Lines->Add(RU_MSG_168+AddMsg);
                        break;
    case 0x010000A9:    Form1->RichEdit9->Lines->Add(RU_MSG_169+AddMsg);
                        break;
    case 0x010000AA:    Form1->RichEdit9->Lines->Add(RU_MSG_170+AddMsg);
                        break;
    case 0x010000AB:    Form1->RichEdit9->Lines->Add(RU_MSG_171+AddMsg);
                        break;

    case 0x010000C8:    Form1->RichEdit9->Lines->Add(RU_MSG_200+AddMsg);
                        break;
    case 0x010000C9:    Form1->RichEdit9->Lines->Add(RU_MSG_201+AddMsg);
                        break;
    case 0x010000CA:    Form1->RichEdit9->Lines->Add(RU_MSG_202+AddMsg);
                        break;
    case 0x010000CB:    Form1->RichEdit9->Lines->Add(RU_MSG_203+AddMsg);
                        break;
    case 0x010000CC:    Form1->RichEdit9->Lines->Add(RU_MSG_204+AddMsg);
                        break;
    case 0x010000CD:    Form1->RichEdit9->Lines->Add(RU_MSG_205+AddMsg);
                        break;
    case 0x010000CE:    Form1->RichEdit9->Lines->Add(RU_MSG_206+AddMsg);
                        break;
    case 0x010000CF:    Form1->RichEdit9->Lines->Add(RU_MSG_207+AddMsg);
                        break;
    case 0x010000D0:    Form1->RichEdit9->Lines->Add(RU_MSG_208+AddMsg);
                        break;
    case 0x010000D1:    Form1->RichEdit9->Lines->Add(RU_MSG_209+AddMsg);
                        break;
    case 0x010000D2:    Form1->RichEdit9->Lines->Add(RU_MSG_210+AddMsg);
                        break;
    case 0x010000D3:    Form1->RichEdit9->Lines->Add(RU_MSG_211+AddMsg);
                        break;
    case 0x010000D4:    Form1->RichEdit9->Lines->Add(RU_MSG_212+AddMsg);
                        break;
    case 0x010000D5:    Form1->RichEdit9->Lines->Add(RU_MSG_213+AddMsg);
                        break;
    case 0x010000D6:    Form1->RichEdit9->Lines->Add(RU_MSG_214+AddMsg);
                        break;
    case 0x010000D7:    Form1->RichEdit9->Lines->Add(RU_MSG_215+AddMsg);
                        break;
    case 0x010000D8:    Form1->RichEdit9->Lines->Add(RU_MSG_216+AddMsg);
                        break;
    case 0x010000D9:    Form1->RichEdit9->Lines->Add(RU_MSG_217+AddMsg);
                        break;
    case 0x010000DA:    Form1->RichEdit9->Lines->Add(RU_MSG_218+AddMsg);
                        break;
    case 0x010000DB:    Form1->RichEdit9->Lines->Add(RU_MSG_219+AddMsg);
                        break;
    case 0x010000DC:    Form1->RichEdit9->Lines->Add(RU_MSG_220+AddMsg);
                        break;
    case 0x010000DD:    Form1->RichEdit9->Lines->Add(RU_MSG_221+AddMsg);
                        break;
    case 0x010000DE:    Form1->RichEdit9->Lines->Add(RU_MSG_222+AddMsg);
                        break;
    case 0x010000DF:    Form1->RichEdit9->Lines->Add(RU_MSG_223+AddMsg);
                        break;
    case 0x010000E0:    Form1->RichEdit9->Lines->Add(RU_MSG_224+AddMsg);
                        break;
    case 0x010000E1:    Form1->RichEdit9->Lines->Add(RU_MSG_225+AddMsg);
                        break;
    case 0x010000E2:    Form1->RichEdit9->Lines->Add(RU_MSG_226+AddMsg);
                        break;
    case 0x010000E3:    Form1->RichEdit9->Lines->Add(RU_MSG_227+AddMsg);
                        break;
    case 0x010000E4:    Form1->RichEdit9->Lines->Add(RU_MSG_228+AddMsg);
                        break;
    case 0x010000E5:    Form1->RichEdit9->Lines->Add(RU_MSG_229+AddMsg);
                        break;
    case 0x010000E6:    Form1->RichEdit9->Lines->Add(RU_MSG_230+AddMsg);
                        break;
    case 0x010000E7:    Form1->RichEdit9->Lines->Add(RU_MSG_231+AddMsg);
                        break;
    case 0x010000E8:    Form1->RichEdit9->Lines->Add(RU_MSG_232+AddMsg);
                        break;
    case 0x010000E9:    Form1->RichEdit9->Lines->Add(RU_MSG_233+AddMsg);
                        break;
    //-------------------------------------------------------------------------------------
    // другие языки -----------------------------------------------------------------------
    //-------------------------------------------------------------------------------------
    default:            break;
  }
}
//---------------------------------------------------------------------------
